- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends | List of all members
tbb::interface6::filter_t< T, U > Class Template Reference

Class representing a chain of type-safe pipeline filters. More...

`#include <pipeline.h>`

## Public Member Functions
| filter_t (const filter_t< T, U > &rhs)
template<typename Body >
| filter_t (tbb::filter::mode mode, const Body &body)
void | operator= (const filter_t< T, U > &rhs)
void | clear ()

## Friends
class | internal::pipeline_proxy
template<typename T_ , typename U_ , typename Body >
filter_t< T_, U_ > | make_filter (tbb::filter::mode, const Body &)
| Create a filter to participate in parallel_pipeline.
template<typename T_ , typename V_ , typename U_ >
filter_t< T_, U_ > | operator& (const filter_t< T_, V_ > &, const filter_t< V_, U_ > &)

## Detailed Description

### template<typename T, typename U>
class tbb::interface6::filter_t< T, U >

Class representing a chain of type-safe pipeline filters.

The documentation for this class was generated from the following file:

- pipeline.h

Copyright © 2005-2016 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.